Package org.pushingpixels.substance.internal.utils

# Class RolloverButtonListener

java.lang.Object
javax.swing.plaf.basic.BasicButtonListener
org.pushingpixels.substance.internal.utils.RolloverButtonListener

All Implemented Interfaces:
  `FocusListener`, `MouseListener`, `MouseMotionListener`, `PropertyChangeListener`, `EventListener`, `ChangeListener`

public class RolloverButtonListener extends BasicButtonListener
Button listener for rollover effects. Tracks the mouse motion and focus interaction for the associated button. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`RolloverButtonListener(AbstractButton b, StateTransitionTracker stateTransitionTracker)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonListener

`checkOpacity, installKeyboardActions, propertyChange, stateChanged, uninstallKeyboardActions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RolloverButtonListener

public RolloverButtonListener(AbstractButton b, StateTransitionTracker stateTransitionTracker)
Simple constructor.

Parameters:
  `b` - The associated button.

## Method Details

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `BasicButtonListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `BasicButtonListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `BasicButtonListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Overrides:
  `mouseMoved` in class `BasicButtonListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`
Overrides:
  `focusGained` in class `BasicButtonListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`
Overrides:
  `focusLost` in class `BasicButtonListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`
Overrides:
  `mouseClicked` in class `BasicButtonListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `BasicButtonListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicButtonListener`